import sys

myfile = "plato.txt"

try:
    fh = open(myfile, "r")
except:
    sys.exit("cannot open file")

# Go through file, get the words and count the words
d = dict()
for line in fh:
    line = line.rstrip()  # remove newline
    line = line.lower()   # make everything lowercase
    words = line.split()  # split the line on tab or space

    for word in words:
        d[word] = d.get(word, 0) + 1

print "Show 10 words and their frequency"
i = 0
for key in d:
    if i >= 10:
        break

    print key, d[key]
    i += 1

print "Show the TOP 10 words and their frequency"
i = 0
for key in sorted(d, key=d.get, reverse=True):
    if i >= 10:
        break

    print key, d[key]
    i += 1
